Bug 5305 - qtparted обманывает пользователя
: qtparted обманывает пользователя
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/qtparted)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
: 5302
:
  Show dependency tree
 
Reported: 2004-10-11 14:05 by
Modified: 2007-07-19 16:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-11 14:05:40
При работе с различного рода flash'ками, которые не имеют разделов qtparted
отображает имя раздела как /dev/sda1, хотя на самом деле это /dev/sda
------- Comment #1 From 2006-12-17 20:19:51 -------
Это так?
------- Comment #2 From 2006-12-18 13:58:18 -------
(In reply to comment #1)

Согласно этому:

* Thu Nov 23 10:00:00 2006 Led <led@altlinux.ru> 0.4.5-alt11
- rebuild with new libparted
- added qtparted-0.4.5-notable.patch

должно быть уже "не так": для устройства без разделов показывает "пустоту", 
несмотря на наличие файловой системы. Не уверен, но, возможно, это правильный 
вариант. Попытки сделать так, чтобы показывал /dev/sda с файловой системой 
привели к тому (пока что), что корректно показывает, но возникают проблемы при 
преобразовании/удалении/создании нового раздела и, насколько я понял, решить 
эти проблемы без переписывания/дописывания большой части кода не получится. 
Поэтому, а также потому, что не уверен, что это нужно для этой софтины, попытки 
были прекращены:)

Виноват, наверное запись в %changelog нужно было сделать более информативной на 
этот счёт, но, опять же - не было уверенности, что изготовленный патч 
исправляет поведени именно так, как того хотел багрепортер.
------- Comment #3 From 2006-12-27 12:14:32 -------
fixed